API referenceMonitoring
Update a monitor
Changes the event types or pauses and resumes the monitor. Fields you omit are left unchanged.
Free.
Authorization
bearerAuth AuthorizationBearer <token>
Your API key, sent as Authorization: Bearer rc_live_….
In: header
Path Parameters
monitor_id*string
The monitor's id.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Changes to a monitor.
Properties
1 <= propertiesResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "monitor", "company": { "object": "company", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "event_types": [ "*" ], "status": "active", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}